<?php

/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Eshopsync
 * @author    Webkul Software Private Limited
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

namespace Webkul\SalesforceConnector\Helper;

use \Magento\Framework\App\Helper\AbstractHelper;

/**
 * Eshopsync contactus helper.
 */

class Contactus extends AbstractHelper
{

    /**
     * @var \Magento\Store\Model\StoreManagerInterface
     */
    protected $_eshopsyncContactus;

    /**
     * @var \Webkul\Eshopsync\Helper\Connection
     */
    protected $_helperConnection;

    /**
     * @param Magento\Framework\App\Helper\Context        $context
     * @param \Webkul\Eshopsync\Model\ContactusFactory $eshopsyncContactus
     * @param \Webkul\Eshopsync\Helper\Connection      $helperConnection
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Webkul\SalesforceConnector\Model\ContactusFactory $eshopsyncContactus,
        \Webkul\SalesforceConnector\Helper\Connection $helperConnection
    ) {
        $this->_eshopsyncContactus = $eshopsyncContactus;
        $this->_helperConnection = $helperConnection;
        parent::__construct($context);
    }

    public function contactusMapping($data)
    {
        $model = $this->_eshopsyncContactus->create();
        $model->setName($data['name']);
        $model->setEmail($data['email']);
        $model->setPhone($data['telephone']);
        $model->setComment($data['comment']);
        $model->setSforceId($data['sforce_id']);
        $model->save();
    }
    public function deleteMapping($magento_id)
    {

        $model = $this->_eshopsyncContactus->create();
        $collection = $model->getCollection()->addFieldToFilter('entity_id', $magento_id)->getData();
        if (count($collection) > 0) {
            foreach ($collection as $row) {
                $model->setId($row['entity_id'])->delete();
            }
        }
    }
}
